local TransDoor = Class(function(self, inst)
	self.inst = inst
	self.interior = nil
	self.link_door_id = nil
end)

function TransDoor:CollectSceneActions(doer, actions, right)
	if right and self.inst.components.door
	and not self.inst:HasTag("predoor") and not self.hidden then
		table.insert(actions, ACTIONS.RESET_DOOR)
	end
end

local DoorResetScreen = require "screens/door_reset_screen"
function TransDoor:PushScreen(doer)
	TheFrontEnd:PushScreen(DoorResetScreen(self.inst, doer))
end

return TransDoor